// XView.cpp : implementation of the CXView class
//

#include "stdafx.h"
#include "Fully.h"
#include "mainfrm.h"

#include "XDoc.h"
#include "XView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CXView

IMPLEMENT_DYNCREATE(CXView, CView)

BEGIN_MESSAGE_MAP(CXView, CView)
	//{{AFX_MSG_MAP(CXView)
	ON_WM_CHAR()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CXView construction/destruction

CXView::CXView()
{
	// TODO: add construction code here

}

CXView::~CXView()
{
}

BOOL CXView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CXView drawing

void CXView::OnDraw(CDC* pDC)
{
	CXDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// Draw a big "X"
	CRect rectClient;
	GetClientRect(rectClient);

	CPen* pOldPen = (CPen*) (pDC->SelectStockObject(BLACK_PEN));

	pDC->MoveTo(rectClient.left, rectClient.top);
	pDC->LineTo(rectClient.right, rectClient.bottom);
	pDC->MoveTo(rectClient.right, rectClient.top);
	pDC->LineTo(rectClient.left, rectClient.bottom);

	pDC->SelectObject(pOldPen);
}

/////////////////////////////////////////////////////////////////////////////
// CXView diagnostics

#ifdef _DEBUG
void CXView::AssertValid() const
{
	CView::AssertValid();
}

void CXView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CXDoc* CXView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CXDoc)));
	return (CXDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CXView message handlers

void CXView::OnChar(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	if (nChar == VK_ESCAPE)
	{
		CMainFrame* pFrame = (CMainFrame*) AfxGetMainWnd();
		pFrame->EscapeFullScreen();
	}

	CView::OnChar(nChar, nRepCnt, nFlags);
}
